package com.pj.ht_border_buy_goods_list;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: ht_border_buy_goods_list -- 边民购买商品列表字段说明,主表ht_trade_settlement
 * @author yzs 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class HtBorderBuyGoodsListService extends ServiceImpl<HtBorderBuyGoodsListMapper, HtBorderBuyGoodsList> implements IService<HtBorderBuyGoodsList>{

	/** 底层 Mapper 对象 */
	@Autowired
	HtBorderBuyGoodsListMapper htBorderBuyGoodsListMapper;

	/** 增 */
	void add(HtBorderBuyGoodsList h){
		save(h);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(HtBorderBuyGoodsList h){
		updateById(h);

	}

	/** 查 */
	HtBorderBuyGoodsList getById(Long id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<HtBorderBuyGoodsList> getList(SoMap so) { 
		return htBorderBuyGoodsListMapper.getList(so);	
	}
	

}
